using UnityEngine;
using System.Collections;

public class Selectable : MonoBehaviour {
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

	}
	
	void OnMouseOver() {
		// Highlight the items we're looking at
		highlightShapes(true);
		
		if(Input.GetMouseButtonUp(0)){
			Messenger<Transform>.Broadcast("select", transform.parent.transform);
		}        
    }
	
	void OnMouseExit() {
		highlightShapes(false);
	}
	
	private void highlightShapes(bool high){
		Fader[] faders = transform.parent.GetComponentsInChildren<Fader>();
		foreach(Fader f in faders){
			//f.highlight(high);
			f.fade(high);
		}
	}

}
