using UnityEngine;
using System.Collections;

public class Fader : MonoBehaviour {
	
	private Color originalColor;
	
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		
	}
	
	public void setOriginalColor(){
		originalColor = renderer.material.color;
	}
	
	public void fade(bool fading){
		if(fading){
			Color color = originalColor	;
			color.a = 0.3f;
			renderer.material.SetColor("_Color", color);
		} else {
			renderer.material.SetColor("_Color", originalColor);
		}
	}
	
	public void highlight(bool high){				
		if(high){
			Color color = renderer.material.color;
			color.g = originalColor.g + 0.3f;
			color.b = originalColor.b + 0.3f;
			renderer.material.SetColor("_Color", color);
		} else {
			renderer.material.SetColor("_Color", originalColor);
		}

	}

}
