using UnityEngine;
using System.Collections;

public class QuoteGUI : MonoBehaviour {
	
	public GUIStyle menuStyle1;
	public GUIStyle menuStyle2;
	public GUIStyle menuStyle3;
	
	public string text1;
	public string text2;
	public string text3;
	
	public string nextLevel;
	
	// Use this for initialization
	void Start () {
		if(text1 == "")
			text1 =  "Trawling the nets of the horizon has gathered a mass of primal shapes. Clean up this decadent abundance of geometry. \n\nSalvation comes in threes. Yet clarity is found in individuality. Select three items to form a supremum, they come in three colors, three shapes, and in sets of three sizes. All must match or all must differ. Respectively.";
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetButtonUp("Jump")){
			Application.LoadLevel(nextLevel);
		}
	}
	
	void OnGUI() {
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), text1, menuStyle1);
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), text2, menuStyle2);
		GUI.Label(new Rect(0, 0, Screen.width, Screen.height), text3, menuStyle3);
	}
}
