using UnityEngine;
using System.Collections;

public class Sounder : MonoBehaviour {
	
	public AudioSource source;
	public AudioClip selecting;
	public AudioClip returning;
	public AudioClip time;
	public AudioClip score;
	public AudioClip reload;
	
	void OnEnable() {
		Messenger<string>.AddListener("play sound", playSound);
	}
	
	void OnDestroy() {
        Messenger<string>.RemoveListener("play sound", playSound);
    }
	
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
	
	}
	
	public void playSound(string str){
		if(str.Equals("select")){
			source.clip = selecting;
		}
		if(str.Equals("score")){
			source.clip = score;
		}
		if(str.Equals("time")){
			source.clip = time;
		}
		if(str.Equals("return")){
			source.clip = returning;
		}
		if(str.Equals("reload")){
			source.clip = reload;
		}
		source.Play();
	}
	
}
